Will all apps updated to iOS 4 be backwardly compatible?

Discussion in 'iPhone Tips, Help and Troubleshooting' started by yuanmoons, Jun 24, 2010.

  1. yuanmoons macrumors 6502

    Joined:
    Aug 7, 2008
    #1
    I have a iPhone 2G - the first ones to be released. All is good and although i like the new iPhone i dont need it.

    There are now many many apps obviously being updated to iOS4 and im concerned that they might suddenly stop working on my iPhone - is this a valid concern as im holding off updating any at the moment (all work anyway)...?

    I remember one app stopped working around iOS 3.1.2 or something and i had to update firmware to get it to work again. This time i cant do that.

    Any advice / opinions?
     
  2. yuanmoons thread starter macrumors 6502

    Joined:
    Aug 7, 2008

Share This Page